# Class Module

java.lang.Object
net.sf.robocode.api.Module

All Implemented Interfaces:
  `IModule`

public class Module extends Object implements IModule

Author:
  Pavel Savara (original)

## Constructor Summary

Constructors
Constructor
Description
`Module()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterLoaded(List<IModule> allModules)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Module

public Module()

## Method Details

### afterLoaded

public void afterLoaded(List<IModule> allModules)

Specified by:
  `afterLoaded` in interface `IModule`